<!DOCTYPE html>

{% macro lien_nav(titre, route_name) %}
<li class="nav-item {% if route == URLFor(route_name) %}active{%endif%}">
    <a class="nav-link" href="{{URLFor(route_name)}}">{{titre}}</a>
</li>
{% endmacro %}

{% macro detail_ad(adherent) %}
<a href="{{ URLFor("adherent_edit", ":username",adherent.Username)}}">{{adherent.FirstName|title}} {{adherent.LastName|title}}</a>
, {% if adherent.Gender =="W" %}femme{%else%}homme{%endif%}
({{ adherent.Commentaires | truncatechars:15 }})
{% endmacro %}

<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>{% block title %}Gestion adhérent EVI{% endblock %}</title>
    <link href="/flatly.min.css" rel="stylesheet" crossorigin="anonymous">
    <link href="/style.css" rel="stylesheet">
    <link rel="icon" type="image/svg" href="/evi.svg"/>
</head>
<body>
<div id="page">
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <div>
            <svg id="asso-logo" class="bi bi-music-note" width="2em" height="2em" viewBox="0 0 16 16"
                 xmlns="http://www.w3.org/2000/svg">
                <path d="M9 13c0 1.105-1.12 2-2.5 2S4 14.105 4 13s1.12-2 2.5-2 2.5.895 2.5 2z"/>
                <path fill-rule="evenodd" d="M9 3v10H8V3h1z" clip-rule="evenodd"/>
                <path d="M8 2.82a1 1 0 01.804-.98l3-.6A1 1 0 0113 2.22V4L8 5V2.82z"/>
            </svg>
        </div>
        <a class="navbar-brand ml-3" href="/">
            Adhérents EVI</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01"
                aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarColor01">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item {% if route == '/' %}active{%endif%}">
                    <a class="nav-link" href="/">Accueil</a>
                </li>
                {{ lien_nav('Mon profil', 'my_profile') }}

                {% if role_bureau %}
                {{ lien_nav('Liste des adhérent', 'adherents_liste')}}
                {{lien_nav('Recherche sur Keycloak','keycloak_search')}}
                {{ lien_nav('Export LED', 'adherents_exportsympa') }}
                {% endif %}

            </ul>
            <ul class="navbar-nav">
                <li class="nav-item ml-lg-5">
                    {% if logged_in %}
                    <a class="btn btn-warning" href="{{ URLFor("disconnect") }}">Se déconnecter</a>
                    {% else %}
                    <a class="btn btn-success" href="{{ URLFor("oidc_start") }}">Se connecter</a>
                    {% endif %}
                </li>
            </ul>
        </div>
    </nav>
    <br/>
    <main class="container block-content">

        {% block content %}
        default
        {% endblock %}
    </main>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
            integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
            crossorigin="anonymous"></script>
    <script src="/bootstrap.min.js"
            integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI"
            crossorigin="anonymous"></script>
    <script>
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
</body>
</html>